import type { UmbDocumentNotificationsModalData } from './document-notifications-modal.token.js';
import { UmbModalBaseElement } from '../../../../../core/modal/index.js';
export declare class UmbDocumentNotificationsModalElement extends UmbModalBaseElement<UmbDocumentNotificationsModalData, never> {
    #private;
    private _settings;
    private _documentName;
    firstUpdated(): void;
    render(): import("lit-html").TemplateResult<1>;
    static readonly styles: import("lit").CSSResult[];
}
export default UmbDocumentNotificationsModalElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-document-notifications-modal': UmbDocumentNotificationsModalElement;
    }
}
